import { world, system } from "@minecraft/server"

function ehmuertochaval() {
    let players = world.getPlayers()
    for (let player of players) {
        let vidajugador = player.getComponent("minecraft:health").current
        let isDeath = player.hasTag("muriorexd")
        if (vidajugador == 0 && isDeath == false) {
            const nombredimension = Lasweas[player.dimension.id]
            player.addTag("muriorexd")
            player.runCommand(`tellraw @a{"rawtext":[{"text": "§d${player.nameTag} §rhas died in the coordinates: §l§7${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}, §rand in the dimension:§l§7 ${nombredimension}"}]}`)
            player.runCommand(`playsound bubble.pop @a`)
        } else if (vidajugador > 0) {
            player.removeTag("muriorexd")
        }
    }
}

const Lasweas = {
    ["minecraft:overworld"]: "Overworld",
    ["minecraft:nether"]: "Nether",
    ["minecraft:the_end"]: "End"
}

world.events.tick.subscribe(ehmuertochaval)

system.events.beforeWatchdogTerminate.subscribe(nosea => {
    nosea.cancel = true
})